Cargo
  1. Cargo
  2. CARGO-609

HTTPS support for Tomcat 6.x is broken

    Details

    • Type: Bug Bug
    • Status: Closed Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 1.0-maven2
    • Fix Version/s: 1.0.4
    • Component/s: Tomcat
    • Labels:
      None
    • Environment:
      Vista SP1, JDK 6u7, Tomcat 6.0.18
    • Complexity:
      Intermediate
    • Tested on JDKs:
      JDK 6u7
    • Number of attachments :
      1

      Description

      HTTPS support for Tomcat 6.x is broken because the "SSLEnabled" attribute on the "Connector" element is not being set to "true"

      See Tomcat docs for more details:

      http://tomcat.apache.org/tomcat-6.0-doc/ssl-howto.html

      1. CARRGO-609.patch
        0.8 kB
        Quentin Devriendt

        Activity

        Hide
        Dan Tran added a comment -

        I directly patch 1.0.3's containers/tomcat with the mentioned patch and it works.!!! please apply the patch to 1.0.4-SNAPSHOT thanks

        Show
        Dan Tran added a comment - I directly patch 1.0.3's containers/tomcat with the mentioned patch and it works.!!! please apply the patch to 1.0.4-SNAPSHOT thanks
        Hide
        Anders Hammar added a comment -

        I haven't tried this as I don't work with Tomcat, but it should be easy to workaround this using Cargo 1.0.3. If you provide the server.xml you want to use in your project, you can use the configfiles element to add this file to the container's configuration.
        I'm currently updating the ref guide with this info. Have a look here: http://cargo.codehaus.org/Maven2+Plugin+Reference+Guide

        Show
        Anders Hammar added a comment - I haven't tried this as I don't work with Tomcat, but it should be easy to workaround this using Cargo 1.0.3. If you provide the server.xml you want to use in your project, you can use the configfiles element to add this file to the container's configuration. I'm currently updating the ref guide with this info. Have a look here: http://cargo.codehaus.org/Maven2+Plugin+Reference+Guide
        Hide
        Savas Ali Tokmen added a comment -

        Fix for 1.0.4

        PS: Tomcat 5.x and 7.x also need to be checked.

        Show
        Savas Ali Tokmen added a comment - Fix for 1.0.4 PS: Tomcat 5.x and 7.x also need to be checked.
        Hide
        Savas Ali Tokmen added a comment -

        Committed revision 2482, fixed for both Tomcat 6.x and 7.x.

        Show
        Savas Ali Tokmen added a comment - Committed revision 2482, fixed for both Tomcat 6.x and 7.x.
        Hide
        Dan Tran added a comment -

        thanks for quick fix and alternative solution

        Show
        Dan Tran added a comment - thanks for quick fix and alternative solution

          People

          • Assignee:
            Savas Ali Tokmen
            Reporter:
            Wyatt Tellis
          • Votes:
            2 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: